
%global glib2_version          2.50.2
%global startup_notification_version 0.12
%global gtk3_version           2.99.3
%global dbus_version           0.90
%global dbus_glib_version      0.74
%global cinnamon_desktop_version 4.6.0
%global libgnomekbd_version    2.91.1

%define major   0
%define girmajor   1.0
%define libname %mklibname %{name} %{major}
%define libdev  %mklibname %{name} -d
%define girlib    %mklibname %{name}-gir %{girmajor}

Summary: Cinnamon Screensaver
Name:    cinnamon-screensaver
Version: 6.4.0
Release: %mkrel 2
License: GPLv2+ and LGPLv2+
URL:     http://cinnamon.linuxmint.com
Group:   Graphical desktop/Cinnamon

Source0: https://github.com/linuxmint/cinnamon-screensaver/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires: pkgconfig(dbus-1) >= %{dbus_version}
BuildRequires: pkgconfig(dbus-glib-1) >= %{dbus_glib_version}
BuildRequires: pkgconfig(cinnamon-desktop) >= %{cinnamon_desktop_version}
BuildRequires: pam-devel
BuildRequires: pkgconfig(nss)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xscrnsaver)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(libgnomekbd) >= %{libgnomekbd_version}
# this is here because the configure tests look for protocol headers
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(libxdo)
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: pkgconfig(xxf86vm)
BuildRequires: pkgconfig(xtst)
BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: python3
BuildRequires: meson

Requires: cinnamon-translations
Requires: cinnamon-desktop >= %{cinnamon_desktop_version}
# since we use it, and pam spams the log if a module is missing
Requires: gnome-keyring
Requires: xapps
Requires: python3dist(python-xapp)
Requires: python3-gobject3
Requires: python3-setproctitle
# since we use it, and pam spams the log if a module is missing
Requires: gnome-keyring
Obsoletes: %{libname} <= %{version}-%{release}
Obsoletes: %{girlib} <= %{version}-%{release}
Obsoletes: %{libdev} <= %{version}-%{release}
Obsoletes: cinnamon-screensaver-unsupported <= %{version}-%{release}
Provides: typelib(CScreensaver) = 1.0

# I have no idea why this is required, but for now, just get things to build
BuildRequires:  pkgconfig(libxklavier)

%description
cinnamon-screensaver is a screen saver and locker.


#--------------------------------------------------------------------

%package -n %{girlib}
Summary: GObject introspection interface library for %{name}
Group: System/Libraries

%description -n %{girlib}
GObject introspection interface library for %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
# Delete development files
	
rm %{buildroot}%{_datadir}/gir-1.0/CScreensaver-1.0.gir

%files
%doc AUTHORS NEWS README.md COPYING
%{_bindir}/cinnamon-screensaver*
%{_bindir}/cinnamon-unlock-desktop
%{_libexecdir}/cinnamon-screensaver/cinnamon-screensaver-pam-helper
%{_libexecdir}/cinnamon-screensaver/cs-backup-locker
%{_datadir}/dbus-1/services/org.cinnamon.ScreenSaver.service
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/applications/org.cinnamon.ScreenSaver.desktop
%config %{_sysconfdir}/pam.d/cinnamon-screensaver
%{_datadir}/cinnamon-screensaver
%exclude %{_datadir}/cinnamon-screensaver/screensavers
%{_libexecdir}/cinnamon-screensaver/girepository-1.0/C*-%{girmajor}.typelib
%{_libexecdir}/cinnamon-screensaver/libcscreensaver.so


%changelog
* Tue Jul 08 2025 umeabot <umeabot> 6.4.0-2.mga10
+ Revision: 2251336
- Mageia 10 Mass Rebuild

* Sat Apr 12 2025 joequant <joequant> 6.4.0-1.mga10
+ Revision: 2174982
- update to 6.4.0

* Tue Jul 30 2024 joequant <joequant> 6.2.0-1.mga10
+ Revision: 2082890
- update to 6.2.0

* Sat Jan 20 2024 joequant <joequant> 6.0.2-1.mga10
+ Revision: 2032811
- update to 6.0.2

* Fri Dec 01 2023 joequant <joequant> 6.0.0-1.mga10
+ Revision: 2012469
- update to 6.0.0

* Sat Sep 02 2023 joequant <joequant> 5.8.1-1.mga10
+ Revision: 1983621
- update to 5.8.1

* Sun Jun 11 2023 daviddavid <daviddavid> 5.6.3-2.mga9
+ Revision: 1961744
- remove unmaintained xf86misc support now disable by default (fix mga#31867)

* Sat Feb 25 2023 martinw <martinw> 5.6.3-1.mga9
+ Revision: 1945326
- new version 5.6.3

* Sun Dec 04 2022 joequant <joequant> 5.6.2-1.mga9
+ Revision: 1917849
- update to 5.6.2

* Sat Nov 19 2022 joequant <joequant> 5.6.0-1.mga9
+ Revision: 1908962
- update to 5.6.0

* Thu Sep 29 2022 tv <tv> 5.4.4-1.mga9
+ Revision: 1893259
- 5.4.4

* Tue Sep 20 2022 wally <wally> 5.4.2-2.mga9
+ Revision: 1890969
- drop unused webkit2 BR

* Sun Aug 07 2022 joequant <joequant> 5.4.2-1.mga9
+ Revision: 1875868
- update to 5.4.2

* Sun Jul 03 2022 joequant <joequant> 5.4.0-1.mga9
+ Revision: 1867141
- update to 5.4.0

* Sat Apr 02 2022 umeabot <umeabot> 5.2.0-2.mga9
+ Revision: 1840486
- Mageia 9 Mass Rebuild

* Sat Nov 27 2021 joequant <joequant> 5.2.0-1.mga9
+ Revision: 1759566
- update to 5.2.0

* Thu Jun 17 2021 joequant <joequant> 5.0.5-1.mga9
+ Revision: 1730991
- update to 5.0.5

* Wed Jun 02 2021 joequant <joequant> 5.0.1-1.mga9
+ Revision: 1729277
- update to 5.0.1

* Fri Dec 11 2020 joequant <joequant> 4.8.1-1.mga8
+ Revision: 1655325
- update to 4.8.1

* Fri Dec 04 2020 joequant <joequant> 4.8.0-1.mga8
+ Revision: 1652416
- update to 4.8.0

* Wed Jul 22 2020 ovitters <ovitters> 4.6.0-2.mga8
+ Revision: 1608013
- rebuild for get rid of pythonegg requires

* Sat May 16 2020 joequant <joequant> 4.6.0-1.mga8
+ Revision: 1584247
- fix deps
- require 4.6.0 cinnamon-desktop
- update 4.6.0

* Tue Feb 18 2020 umeabot <umeabot> 4.4.0-2.mga8
+ Revision: 1539318
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 07 2019 joequant <joequant> 4.4.0-1.mga8
+ Revision: 1464917
- upgrade to 4.4.0

* Sat Jul 06 2019 joequant <joequant> 4.2.0-1.mga8
+ Revision: 1418879
- update to 4.2

* Wed Apr 17 2019 joequant <joequant> 4.0.3-1.mga7
+ Revision: 1392728
- upgrade to 4.0.3

* Fri Feb 22 2019 daviddavid <daviddavid> 4.0.1-2.mga7
+ Revision: 1369349
- fix dangling link (mga#23302)

* Tue Nov 27 2018 joequant <joequant> 4.0.1-1.mga7
+ Revision: 1335781
- upgrade to 4.0.1

* Sun Nov 04 2018 joequant <joequant> 4.0.0-1.mga7
+ Revision: 1328351
- commit 4.0.0

* Fri Oct 05 2018 joequant <joequant> 3.8.2-1.mga7
+ Revision: 1317915
- update 3.8.2
- update to 3.8.2

* Sun Sep 23 2018 daviddavid <daviddavid> 3.8.0-3.mga7
+ Revision: 1297068
- fix gtk+-3.0 devel dependencies

* Sat Sep 22 2018 umeabot <umeabot> 3.8.0-2.mga7
+ Revision: 1296246
- Mageia 7 Mass Rebuild

* Sat Apr 28 2018 joequant <joequant> 3.8.0-1.mga7
+ Revision: 1223160
- upgrade to 3.8.0
- fix up screensavers rpms

* Sat Mar 17 2018 joequant <joequant> 3.6.1-1.mga7
+ Revision: 1210159
- upgrade to 3.6.1

* Wed Nov 01 2017 joequant <joequant> 3.6.0-1.mga7
+ Revision: 1175392
- update to 3.6.0

* Mon Jul 17 2017 joequant <joequant> 3.4.1-1.mga7
+ Revision: 1124010
- update to 3.4.1

* Thu Feb 16 2017 joequant <joequant> 3.2.13-5.mga6
+ Revision: 1086412
- fix spec to python3-gobject3

* Wed Feb 15 2017 joequant <joequant> 3.2.13-4.mga6
+ Revision: 1086242
- fix requires for gnome-keyring

* Wed Feb 15 2017 joequant <joequant> 3.2.13-3.mga6
+ Revision: 1086218
- add python setproctitle to requires

* Tue Jan 24 2017 joequant <joequant> 3.2.13-2.mga6
+ Revision: 1083309
- fix version macros
- add python3 buildrequires
- upgrade to 3.2.13

* Thu Aug 04 2016 philippem <philippem> 3.0.0-2.mga6
+ Revision: 1044435
- rebuild for pam

* Tue May 03 2016 joequant <joequant> 3.0.0-1.mga6
+ Revision: 1008842
- upgrade to 3.0.0

* Sat Feb 13 2016 umeabot <umeabot> 2.8.0-2.mga6
+ Revision: 959714
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 joequant <joequant> 2.8.0-1.mga6
+ Revision: 893698
- upgrade to 2.8.0

* Tue Jul 14 2015 joequant <joequant> 2.6.4-1.mga6
+ Revision: 854011
- upgrade to 2.6.4 - move patch upstream

* Fri Jun 26 2015 joequant <joequant> 2.6.3-1.mga6
+ Revision: 844295
- more information on patch
- upgrade to 2.6

* Wed Dec 03 2014 tmb <tmb> 2.4.0-2.mga5
+ Revision: 800487
- bump rel past testing

* Sun Nov 23 2014 joequant <joequant> 2.4.0-1.mga5
+ Revision: 798404
- upgrade to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.4-4.mga5
+ Revision: 747459
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.4-3.mga5
+ Revision: 678399
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 joequant <joequant> 2.2.4-2.mga5
+ Revision: 671955
- rebuild with new systemd

* Sat Aug 30 2014 joequant <joequant> 2.2.4-1.mga5
+ Revision: 669393
- update to 2.2.4
- upgrade to 2.2

* Wed Jan 08 2014 joequant <joequant> 2.0.3-2.mga5
+ Revision: 565561
- push to core/release

* Wed Jan 01 2014 joequant <joequant> 2.0.3-1.mga4
+ Revision: 563805
- upgrade to 2.0.3

* Wed Oct 23 2013 joequant <joequant> 2.0.2-1.mga4
+ Revision: 546392
- upgrade to 2.0.2

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-3.mga4
+ Revision: 545126
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 joequant <joequant> 2.0.0-2.mga4
+ Revision: 500822
- don't start up when running gnome

* Mon Oct 07 2013 joequant <joequant> 2.0.0-1.mga4
+ Revision: 492508
- remove upstream patch
- upgrade to 2.0.0

* Tue Oct 01 2013 joequant <joequant> 1.9.1-1.mga4
+ Revision: 490091
- change build requires to cinnamon-desktop
- upgrade to 1.9.1

* Mon Sep 02 2013 ennael <ennael> 1.8.0-5.mga4
+ Revision: 474351
- Rebuild against new gnome-desktop3

* Sun Aug 25 2013 joequant <joequant> 1.8.0-4.mga4
+ Revision: 471508
- remove selinux/fedora from pam

* Sun Aug 25 2013 joequant <joequant> 1.8.0-3.mga4
+ Revision: 471447
- remove xscreensaver conflict

* Fri Aug 23 2013 joequant <joequant> 1.8.0-2.mga4
+ Revision: 470131
- fix build requires

* Fri Aug 23 2013 joequant <joequant> 1.8.0-1.mga4
+ Revision: 470048
- add group information
- imported package cinnamon-screensaver

